Bug 24562 - Should reverse the order of Make Callee Current and Make Caller Current
Should reverse the order of Make Callee Current and Make Caller Current
Status: CLOSED WONTFIX
Product: debugger
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P3 (vote)
: 3.x
Assigned To: David-john Burrowes
issues@debugger
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-07 23:52 UTC by eadams
Modified: 2003-06-30 17:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eadams 2002-06-07 23:52:53 UTC
The Debug Menu now has a Stack pullright containing Make Callee Current
and Make Caller Current.  

Make Caller Current should be the top item for two reasons:
  - its the only one enabled when your program first stops
  - it is used much, much more frequently than Make Callee Current
Comment 1 Jan Jancura 2002-06-10 10:23:57 UTC
this is problem of UI spec. => David John can you look at it, please?

see:
http://ui.netbeans.org/docs/hi/debugger3.4/toolbarmenu/index.html

Comment 2 David-john Burrowes 2002-06-11 00:35:18 UTC
I don't think this is a problem. Here is why:
- Reversing the order is odd because it places the action that makes you move "up" in the stack below the action which 
moves you "down" in the stack.  Directionality may be undesirable, but reversing these actions will fight against 
the directionality that is implicit in these actions.
- If you've gone so far as to use the menu to get at these actions, I don't believe that the fraction of an inch of 
motion it would take to get at this action in the second position is a significant amount of work.

Comment 3 eadams 2002-06-11 03:15:50 UTC
Arrggg!!!!  This is one of the reasons Up and Down should not
be part of the paradigm of moving around in the stack!

> If you've gone so far as to use the menu to get at these actions,
> I don't believe that the fraction of an inch of motion it would
> take to get at this action in the second position is a significant
> amount of work.

You aren't serious are you?   

It is MUCH easier to go straight right than it is to go over and down.
A fraction of an inch is not the issue, turning the corner is.  Of course,
if you take the diagonal route and drop down too quickly then the pullright
menu will go away and you get do it all again.

I thought the goal was to make common things easy to do.  It is MUCH more
common to do Make Caller Current than to do Make Callee Current.  I would 
guess by a factor of 10:1.

Is the conclusion that this menu exists simply to display the actions
and their shortcut keys and not really to be used?  In that case,
issue 22174 should also be implemented.
Comment 4 David-john Burrowes 2002-06-11 19:43:02 UTC
Since this functionality is also directly available from the stack view (and, allows more context and easier 
multi-function jumps there as well), we felt it wasn't that important to put the actions in the toolbar.  It seems a 
little redundant there.  For the same reasons I'm less concerned about these actions existing in a submenu (and, I 
agree, I overstated the ease of getting to items in submenus, though I wouldn't call it 10:1)
Comment 5 Quality Engineering 2003-06-30 17:24:34 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2003-06-30 17:31:13 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo